# Search API MeCab

## 概要

MeCabは[京都大学情報学研究科--NTTコミュニケーション科学基礎研究所 共同研究ユニット](https://nlp.ist.i.kyoto-u.ac.jp/kuntt/)を通じて開発された、オープンソースの形態素解析エンジンです。

本モジュールは、サーバー上にインストールされたMeCabを利用したトークナイザーを提供します。

## 要件

- MeCabがインストールされていること
- MeCabの辞書がインストールされていること
- Webサーバーから`mecab`コマンドを実行できること

## インストール方法

MeCabは、多くの環境でパッケージマネージャを利用してインストールできます。

### Homebrew

```bash
brew install mecab mecab-ipadic
```

### Ubuntu

```bash
apt install mecab mecab-ipadic-utf8
```

### DDEV

.ddev/config.yaml の `webimage_extra_packages` にMeCabの関連パッケージを追加して、DDEVを再起動してください。

```yaml
webimage_extra_packages: [mecab, libmecab-dev, mecab-ipadic-utf8]
```

## 利用方法

本モジュールをインストールすると、Search APIのプロセッサー一覧にMeCab tokenizerが表示されますので、有効化してください。

このプラグインは従来のTokenizerプラグインをベースとしているため、一部の設定項目はTokenizerプラグインの設定と同じです。追加される各設定項目の内容についてフォームの説明文を参照してください。
