<?php

namespace Drupal\search_api_sudachi\Model;

use Drupal\search_api_japanese_tokenizer\Model\MaWordBase;
use Drupal\search_api_sudachi\SudachiWordInterface;

/**
 * Provides extracting data using Sudachi output line..
 */
class SudachiWord extends MaWordBase implements SudachiWordInterface {

  /**
   * Normalized word.
   */
  protected string $normalizedWord;

  /**
   * {@inheritdoc}
   */
  public function getNormalizedWord(): string {
    return $this->normalizedWord;
  }

  /**
   * {@inheritdoc}
   */
  public function setNormalizedWord(string $string): static {
    $this->normalizedWord = $string;
    return $this;
  }

}
