<?php

namespace Drupal\search_api_japanese_tokenizer\Service;

use Drupal\search_api_japanese_tokenizer\MaManagerInterface;

/**
 * Japanese morphological analysis base class.
 */
abstract class MaManagerBase implements MaManagerInterface {

  /**
   * Sudachi analysis output.
   */
  protected string $analysisOutput = '';

  /**
   * {@inheritdoc}
   */
  public function getRawOutput(): string {
    return $this->analysisOutput;
  }

}
